PROMETHEUS-APACHE-EXPORTER(1)

NAME
prometheus-apache-exporter - Prometheus exporter for Apache mod_status statistics

SYNOPSIS

prometheus-apache-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--telemetry.endpoint
    Path under which to expose metrics.

--scrape_uri
    URI to apache stub status page.

--host_override
    Override for HTTP Host header; empty string for no override.

--insecure
    Ignore server certificate if using https.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9117
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses.

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--custom_headers=CUSTOM_HEADERS
    Adds custom headers to the collector.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.